import {createRouter, createWebHistory} from "vue-router";
import SitesManagerPage from "@pages/SitesManagerPage/SitesManagerPage.vue"

const routes = [
  {
    path: "/",
    name: "sites",
    component: SitesManagerPage
  },
  {
    path: "/users/:mod",
    name: "users",
    component: import("@pages/UserManage/index.vue")
  },
];

const routerHistory = createWebHistory();

const router = createRouter({
  history: routerHistory,
  routes
});

export {routes};
export default router;
